/*
** xipshcut.h for  in 
** 
** Made by 
** Login   <vianney@epita.fr>
** 
** Started on  Wed Sep  1 08:29:57 1999 
** Last update Thu Oct 28 20:24:30 1999 
*/
#ifndef XIPSHCUT_H
#define XIPSHCUT_H	1

#include <pcap.h>
#include "pkt.h"

typedef struct			s_xip_shortcut_def
{
  char				*bpf_program;	/* must be static */
  char				*html_format;	/* must be static */
} t_xip_shortcut_def;

typedef struct			s_xip_shortcut
{
  struct bpf_program		bp;
  char				*html_format;
} t_xip_shortcut;

/* PROTO xipshcut.c */
/* xipshcut.c */
void xip_shortcuts_destroy P((void));
t_status xip_shortcut_add P((t_xip_shortcut_def *xsd));
t_status xip_shortcuts_init P((void));
t_status xip_shortcuts_html_do P((t_pkt *pkt, char *str, int max_len));
#endif
